Page MenuHomeFreeBSD

D25989.diff
No OneTemporary

D25989.diff

Index: usr.bin/lorder/lorder.sh
===================================================================
--- usr.bin/lorder/lorder.sh
+++ usr.bin/lorder/lorder.sh
@@ -53,7 +53,7 @@
trap "rm -f $R $S $T; exit 1" 1 2 3 13 15
# make sure all the files get into the output
-for i in $*; do
+for i in "$@"; do
echo $i $i
done
@@ -62,7 +62,7 @@
#
# if the line has " U " it's a globally undefined symbol, put it into
# the reference file.
-${NM} ${NMFLAGS} -go $* | sed "
+${NM} ${NMFLAGS} -go "$@" | sed "
/ [TDW] / {
s/:.* [TDW] / /
w $S
@@ -77,7 +77,7 @@
export LC_ALL=C
# eliminate references that can be resolved by the same library.
-if [ $(expr "$*" : '.*\.a[[:>:]]') -ne 0 ]; then
+if [ "$(expr "$*" : '.*\.a[[:>:]]' || echo 0)" -ne 0 ]; then
sort -u -o $S $S
sort -u -o $R $R
T=$(mktemp -t _temp_)

File Metadata

Mime Type
text/plain
Expires
Mon, Jan 13, 8:21 PM (20 h, 2 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
15786760
Default Alt Text
D25989.diff (826 B)

Event Timeline